kylin-daq (1.2.9.2-ok2.1) huanghe; urgency=medium

  * BUG: 无
  * 需求: 无
  * 其他改动说明: 合并yhkylin/v11-2603最新代码
  * 其他改动影响域: kylin-daq

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 01 Jul 2026 17:35:10 +0800

kylin-daq (1.2.9.2-ok1.20) nile; urgency=medium


  * BUG: 无
  * 需求: 无
  * 其他改动说明: 合并yhkylin/v11-2603最新代码
  * 其他改动影响域: kylin-daq

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 01 Jul 2026 16:53:58 +0800

kylin-daq (1.2.9.2-0k1.18update4) v101; urgency=medium

  * BUG: 无
  * 需求: 无
  * 其他改动说明: 新增单元测试
  * 其他改动影响域: kylin-daq

 -- 王海亮 <wanghailiang@kylinos.cn>  Tue, 30 Jun 2026 09:15:12 +0800

kylin-daq (1.2.9.2-0k1.18update3) v101; urgency=medium

  * BUG: 无
  * 需求: 无
  * 其他改动说明: 新增模糊测试
  * 其他改动影响域: fuzz文件夹的模糊测试

 -- 王海亮 <wanghailiang@kylinos.cn>  Tue, 23 Jun 2026 20:41:37 +0800

kylin-daq (1.2.9.2-0k1.18update2) v101; urgency=medium

  * BUG: 无
  * 需求: 无
  * 其他改动说明: 新增单元测试
  * 其他改动影响域: kylin-daq

 -- 王海亮 <wanghailiang@kylinos.cn>  Tue, 16 Jun 2026 13:35:57 +0800

kylin-daq (1.2.9.2-0k1.18update1) v101; urgency=medium

  * BUG: #532185 【关于】多用户时，隐私收集开关切换状态未同步变化
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- 王海亮 <wanghailiang@kylinos.cn>  Thu, 14 May 2026 09:39:15 +0800

kylin-daq (1.2.9.2-0k1.18) v101; urgency=medium

  * BUG: #485591 【v10sp1】【换机助手】kylin-daq在dbus管控白名单中需要新增换机助手
  * 需求: 无
  * 其他改动说明: 新增换机助手dbus纳管
  * 其他改动影响域: 纳管配置文件

 -- 王海亮 <wanghailiang@kylinos.cn>  Fri, 30 Jan 2026 19:33:19 +0800

kylin-daq (1.2.9.2-0k1.17) v101; urgency=medium

  * BUG: #419621 KVE-2025-0822
  * 需求: 无
  * 其他改动说明: 安装deb包后会自动重启kylin-daq服务
  * 其他改动影响域: 安装deb包的启动

 -- 王海亮 <wanghailiang@kylinos.cn>  Fri, 19 Dec 2025 18:22:20 +0800

kylin-daq (1.2.9.2-0k1.16) v101; urgency=medium

  * BUG:
    #464031 【需求56149】【在线更新】安装过程中断电，重启机器后未向数据平台上报对应错误日志(已修改)
    #464381 【需求56149】【在线更新】设备电量不足时更新，未向数据平台上报对应错误日志(已修改)
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- 王海亮 <wanghailiang@kylinos.cn>  Tue, 09 Dec 2025 18:52:56 +0800

kylin-daq (1.2.9.2-0k1.15) v101; urgency=medium

  * BUG:
    #464031 【需求56149】【在线更新】安装过程中断电，重启机器后未向数据平台上报对应错误日志(已修改)
    #464381 【需求56149】【在线更新】设备电量不足时更新，未向数据平台上报对应错误日志(已修改)
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- 王海亮 <wanghailiang@kylinos.cn>  Mon, 08 Dec 2025 14:05:03 +0800

kylin-daq (1.2.9.2-0k1.14) v101; urgency=medium

  * BUG: #457909 【需求56149】【控制面板更新】修改上报时间间隔为60s后等待三分钟，数据未上报大数据平台
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- 王海亮 <wanghailiang@kylinos.cn>  Tue, 02 Dec 2025 16:51:38 +0800

kylin-daq (1.2.9.2-0k1.13) v101; urgency=medium

  * BUG：无
  * 需求号：无
  * 任务号:无
  * 其他改动说明:新增`kguard`的kaiming的dbus管控
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 23 Sep 2025 18:37:47 +0800

kylin-daq (1.2.9.2-0k1.12) v11-2603-preview; urgency=medium

  * BUG：#410439 【多任务视图】【埋点数据】对多任务视图做任务操作都无数据埋点
  * 需求号：无
  * 任务号:无
  * 其他改动说明:新增`系统更新`的dbus管控
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Mon, 08 Sep 2025 09:58:51 +0800

kylin-daq (1.2.9.2-0k1.11) v11-2603-preview; urgency=medium

  * BUG：无
  * 需求号：无
  * 任务号:无
  * 其他改动说明:新增`系统更新`的dbus管控
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 13 Aug 2025 14:40:49 +0800

kylin-daq (1.2.9.2-0k1.10) v11-2603-preview; urgency=medium

  * BUG：#371221 【看图】【大数据平台】看图本地没有埋点日志
    #389617 【计算器】【数据埋点】埋点类型未作区分
  * 需求号：无
  * 任务号:无
  * 其他改动说明:无
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Thu, 07 Aug 2025 11:06:45 +0800

kylin-daq (1.2.9.2-0k1.9) v11-2603-preview; urgency=medium

  * BUG：#389591 【影音】【数据埋点】埋点类型未作区分
  #377441 【扫描】扫描使用时无数据埋点
  * 需求号：无
  * 任务号:无
  * 其他改动说明:无
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 29 Jul 2025 09:24:15 +0800

kylin-daq (1.2.9.2-0k1.8) v11-2603-preivew; urgency=medium

  * BUG：#386477 【数据上报】所有埋点数据在头部统一增加reqisterNumber 字段(已修改)
      #377441 【扫描】扫描使用时无数据埋点(问题不存在)
      #385147 【系统启动】开机启动过程中kylin-daq-daemo优化进程逻辑(已修改)
      #388241 【需求47015】【控制面板更新】检测更新成功数据上报失败(已修改)
  * 需求号：无
  * 任务号:无
  * 其他改动说明:修复mac数组合并异常问题,处理上传和加密的可能异常
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Mon, 28 Jul 2025 23:24:34 +0800

kylin-daq (1.2.9.2-0k1.7) v11-2603-preview; urgency=medium

  * BUG：#371933 【打印机】打印机操作没有埋点数据
      #372893 【V11-beta1-02离线升级V11-beta1-0611】升级后未上传信息到大数据平台
  * 需求号：无
  * 任务号:无
  * 其他改动说明:新增、修改日志内容
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 09 Jul 2025 15:32:53 +0800

kylin-daq (1.2.9.2-0k1.6) v11-2603-preview; urgency=medium

  * BUG：#355687 【需求47015】【控制面板更新】V11系统没有kylin-daq的日志
          #365703 【控制面板】全局搜索各项操作均无数据埋点
  * 需求号：无
  * 任务号:无
  * 其他改动说明:发现编译错误,重传
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 20 Jun 2025 09:35:06 +0800

kylin-daq (1.2.9.2-0k1.5) v11-2503; urgency=medium

  * BUG：无
  * 需求号：无
  * 任务号:无
  * 其他改动说明:发现编译错误,重传
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 18 Mar 2025 17:40:01 +0800

kylin-daq (1.2.9.2-0k1.4) v11-2503; urgency=medium

  * BUG：无
  * 需求号：无
  * 任务号:#441812 【V11送测】【合规性问题整改】合规性检查中，存在不符合项，请整改kylin-daq kylin-installer kylin-software-center kylin-software-properties kylin-sso-client
  * 其他改动说明:无
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 12 Mar 2025 15:16:50 +0800

kylin-daq (1.2.9.2-0k1.3) v11-2503; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明:重新检测单元测试覆盖率代码
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 11 Mar 2025 10:19:01 +0800

kylin-daq (1.2.9.2-0k1.2) v11-2503; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明:新增单元测试覆盖率代码
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 05 Mar 2025 10:13:21 +0800

kylin-daq (1.2.9.2-0k1.1) v11-2503; urgency=medium

  * BUG：无
  * 需求号：#428294 子 【V11送测-不安全函数整改】包要整改目标漏洞数量清零,安全热点数清零---增值方案部 文波 / 【不安全函数整改】目标:漏洞数量清零/安全热点数清零-包名kylin-daq
  * 其他改动说明:新增单元测试
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 28 Feb 2025 16:11:46 +0800

kylin-daq (1.2.9.2-0k0.3) v11-2503; urgency=medium
  * 需求号：无
  * 其他改动说明:本次修改为触发安全编译
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Mon, 10 Feb 2025 15:50:47 +0800

kylin-daq (1.2.9.2-0k0.2) v11-2503; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明:修复编译失败问题
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 04 Dec 2024 12:24:02 +0800

kylin-daq (1.2.9.2-0k0.1) v11-2503; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明:初始化v11-2503
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 29 Nov 2024 15:48:51 +0800

kylin-daq (1.2.9.1-0k2.15) v101; urgency=medium

  * BUG：#263357 【2503内存优化】kylin-daq-daemon开机自动，占用3864kb，对比uos无这个进程；需要进行内存优化
  * 需求号：无
  * 其他改动说明:
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 05 Nov 2024 10:09:11 +0800

kylin-daq (1.2.9.1-0k2.14) v101; urgency=medium

  * BUG：#275891 【需求31899】【数据埋点】【日志查看器】打开日志查看器和打开日志查看器左侧选项没有数据埋点
         #263357 【2503内存优化】kylin-daq-daemon开机自动，占用3864kb，对比uos无这个进程；需要进行内存优化
  * 需求号：无
  * 其他改动说明:
  * 其他改动影响域：无

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 30 Oct 2024 17:39:35 +0800

kylin-daq (1.2.9.1-0k2.13) v101; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明:增加dbus服务级管控白名单
  * 其他改动影响域：wu 

 -- wanghailiang <wanghailiang@kylinos.cn>  Wed, 12 Jun 2024 10:31:34 +0800

kylin-daq (1.2.9.1-0k2.12) v101; urgency=medium

  * BUG：#228162 【需求28178】【数据埋点】【用户手册】搜索时、F1打开用户手册时、点击详情界面时没有数据埋点
  * 需求号：无
  * 其他改动说明:增加dbus服务级管控
  * 其他改动影响域：wu 

 -- wanghailiang <wanghailiang@kylinos.cn>  Mon, 10 Jun 2024 10:59:11 +0800

kylin-daq (1.2.9.1-0k2.11) v101; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明:增加dbus服务级管控
  * 其他改动影响域：wu 

 -- wanghailiang <wanghailiang@kylinos.cn>  Mon, 20 May 2024 14:51:43 +0800

kylin-daq (1.2.9.1-0k2.10) v101; urgency=medium

  * BUG：#223964 【整机-联想开天】【X1】【2403】kylin-daq.service服务影响开机启动时间【5.4.18-110-generic】
  * 需求号：无
  * 其他改动说明:无
  * 其他改动影响域：无

 -- wanghailiang <wanghailiang@kylinos.cn>  Mon, 29 Apr 2024 14:05:03 +0800

kylin-daq (1.2.9.1-0k2.9) v101; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明:修复lshw占用cpu过高的问题，修改调用方式，popen->qprocess
  * 其他改动影响域：基础信息收集

 -- wanghailiang <wanghailiang@kylinos.cn>  Wed, 24 Apr 2024 16:52:09 +0800

kylin-daq (1.2.9.1-0k2.8) v101; urgency=medium

  * BUG：#212319 【需求26924】【数据埋点】【打印机】安装驱动时有数据埋点未上传成功 
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- wanghailiang <wanghailiang@kylinos.cn>  Tue, 19 Mar 2024 14:13:34 +0800

kylin-daq (1.2.9.1-0k2.6) v101; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：增加收集系统补丁版本以及服务序列号
  * 其他改动影响域：基础信息收集

 -- wanghailiang <wanghailiang@kylinos.cn>  Thu, 07 Mar 2024 09:34:13 +0800

kylin-daq (1.2.9.1-0k2.5) v101; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：No-change rebuild for sw64 gcc.
  * 其他改动影响域：无

 -- wanghailiang <wanghailiang@kylinos.cn>  Sun, 04 Feb 2024 13:34:44 +0800

kylin-daq (1.2.9.1-0k2.4) v101; urgency=medium

  * BUG：209754
  * 需求号：无
  * 其他改动说明：增加事件上传接口
  * 其他改动影响域：无

 -- wanghailiang <wanghailiang@kylinos.cn>  Fri, 15 Jan 2024 11:01:47 +0800

kylin-daq (1.2.9.1-0k2.3) v101; urgency=medium

  * No-change rebuild for sw64.

 -- Luoyaoming <luoyaoming@kylinos.cn>  Wed, 30 Aug 2023 08:46:25 +0800

kylin-daq (1.2.9.1-0k2.2) v101; urgency=medium

  * 改动：
    - bug号：182969 【2107离线升级2309】【706-31A1】系统更新失败 
    - 需求号：无
    - 其他改动说明：无

 -- wanghailiang <wanghailiang@kylinos.cn>  Thu, 24 Aug 2023 14:52:08 +0800

kylin-daq (1.2.9.1-0k2.1) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: 183429
    - 183429 【需求22772】客户端uploadState字段随着服务端配置文件同步修改 
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 04 Aug 2023 16:46:11 +0800

kylin-daq (1.2.9.1-0k2.0) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 143445 kylin-daq相关定制同步到2303update1
  * 147399 数据采集客户端功能开发
  * 150025 数据平台主线版本事项处理、深圳市委项目数据分析支持
  * 151700 深圳市委新增报表需求、主线版本功能开发测试

  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Sun, 25 Jun 2023 13:55:15 +0800

kylin-daq (1.2.9.1-0k1.1) v101; urgency=medium

  *
  [ BUG 号 ]
  * Closes: #
    -

  [ 任务号 ]
  *



  [ 需求号 ]
  * 无

  [ 其他改动说明 ]
  * 修改上传地址配置


 -- pengcheng <pengcheng@kylinos.cn>  Wed, 24 May 2023 10:34:42 +0800

kylin-daq (1.2.9.1-0k0.1) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  *  依据要求,修改版本号
  

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 30 Nov 2022 14:02:39 +0800

kylin-daq (1.2.9-13) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: 144121
    -  【应用软件】系统每次开机后会出现/var/cache/kylin-daq/network.sh执行控制弹框
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 18 Oct 2022 14:00:12 +0800

kylin-daq (1.2.9-12) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    - 142360 【大数据平台】【配置文件】多次修改配置无效
  
  
  [ 任务号 ] 
  *  115366 数据采集相关问题优化

  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 14 Oct 2022 19:44:43 +0800

kylin-daq (1.2.9-11) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: 125644 
    -  LTP运行过程中日志出现报错
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 17 Aug 2022 13:55:52 +0800

kylin-daq (1.2.9-10) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  *  94037  定位解决kylin-daq提供的dbus接口导致实例化对象超时

  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 修改control文件中的描述
  * 删除定时启动服务
  * 服务改为自动重启
  

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 21 Jun 2022 20:30:52 +0800

kylin-daq (1.2.9-9) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  *  13998 : 此需求依赖kylin-daq软件包
  *  9072  : 此需求依赖kylin-daq软件包
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 10 Jun 2022 17:09:49 +0800

kylin-daq (1.2.9-8) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  *  89061:公共信息增加主板UUID字段采集
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Thu, 26 May 2022 10:27:03 +0800

kylin-daq (1.2.9-7) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  *  85737 增值产品部试用推广过程中涉及到数据分析平台这边问题修复
     - 新增公共字段
     - 限制上传接口使用的字段
     - uuid使用机器id
     - 修改配置
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 18 May 2022 17:30:20 +0800

kylin-daq (1.2.9-6) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  *  修改上传地址为172.20.43.232:30053
  

 -- pengcheng <pengcheng@kylinos.cn>  Thu, 12 May 2022 10:17:57 +0800

kylin-daq (1.2.9-5) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 修改上传地址为172.20.43.232:30051
  * 新增上传中文信息功能 

 -- pengcheng <pengcheng@kylinos.cn>  Thu, 12 May 2022 10:03:17 +0800

kylin-daq (1.2.9-4) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 修改上传地址为172.20.43.232:30051
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Sun, 24 Apr 2022 08:49:45 +0800

kylin-daq (1.2.9-3) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: 115212 115204 115202 115195 115189 115069
    - 115069 【配置文件】修改配置文件后概率性不生效
    - 115189  修改上传间隔后，上传用户信息失败
    - 115195 【重传用户信息】修改reuploadInterval后，用户信息重传失败
    - 115202 【数据管理】配置删除数据行数过多，data4中数据未删除
    - 115204 【数据管理】打印日志中无CacheCheck::checkRows信息
    - 115195 【上传用户信息】建议日志中区分上传信息与重传信息

  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Thu, 21 Apr 2022 16:51:48 +0800

kylin-daq (1.2.9-2) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  *  ppa加入调试符号包
  

 -- pengcheng <pengcheng@kylinos.cn>  Thu, 31 Mar 2022 16:35:30 +0800

kylin-daq (1.2.9-1) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 增加打印输出
  

 -- pengcheng <pengcheng@kylinos.cn>  Thu, 31 Mar 2022 16:10:41 +0800

kylin-daq (1.2.9) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  *   75175 应用埋点客户端优化改造
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 30 Mar 2022 16:32:59 +0800

kylin-daq (1.2.8-5) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes:103941 
    -  103941 【大数据平台】电脑静置4个小时以上再登录，产生kylin-daq-daemo的core文件
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 屏蔽查询基础数据时系统日志里出现过多无效日志
  

 -- pengcheng <pengcheng@kylinos.cn>  Thu, 20 Jan 2022 17:39:37 +0800

kylin-daq (1.2.8-4) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: 100217
    -  程序运行一段时间后，终端提示错误核心已转储
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 04 Jan 2022 08:41:27 +0800

kylin-daq (1.2.8-3) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 未新增代码，重新生成版本
  

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 24 Dec 2021 17:25:59 +0800

kylin-daq (1.2.8-2) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 

  *  修复公共数据上传字段补全的问题
  *  修复基础字段中java信息过长问题
  *  修复首次dbus调用时间过长的问题
  *  修复重传定时器异常的问题
  *  修复数据库更新是奔溃的问题
  

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 10 Dec 2021 16:22:57 +0800

kylin-daq (1.2.8) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: 90159
    -  【升级】【系统数据收集与分析平台】从SP2低版本通过upgrade升级的时候，会长时间卡在设置kylin-daq模块中
  
  [ 任务号 ] 
  * 58694 : 完成信息收集第二阶段开发
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Mon, 22 Nov 2021 02:55:52 +0800

kylin-daq (1.2.7) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  *  58694：完成信息收集第一阶段的开发
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 05 Nov 2021 21:46:00 +0800

kylin-daq (1.2.6-1) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: 79642
    -  【系统数据收集与分析平台】【3a5000】系统日志中系统数据收集与分析平台报错
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 14 Sep 2021 17:32:12 +0800

kylin-daq (1.2.6) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  *  修改上传给服务器信息的地址
  *  修复在程序定时启动后无法正常退出的bug
  *  修复代码中的存储的敏感信息异常bug
  

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 24 Aug 2021 14:43:34 +0800

kylin-daq (1.2.5) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 修改dbus接口协议，增加和修改返回值
  

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 06 Aug 2021 14:57:15 +0800

kylin-daq (1.2.4) v101; urgency=medium

  * -
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  *  依据信息收集协议1.0.0版修改代码
  

  [ pengcheng ]
  * 

 -- pengcheng <pengcheng@kylinos.cn>  Thu, 05 Aug 2021 20:39:47 +0800

kylin-daq (1.2.3-2) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 修复读配置异常bug，修复dbus调用异常bug
  

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 16 Jul 2021 17:07:34 +0800

kylin-daq (1.2.3-1) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  *  修复编译头文件无法搜索错误
  

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 16 Jul 2021 15:43:46 +0800

kylin-daq (1.2.3-0) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 43692: 增强公钥在代码中的安全性，防止通过内存抓取等手段简单就能抓到公钥
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

  [ pengcheng ]
  * 

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 16 Jul 2021 15:06:10 +0800

kylin-daq (1.2.2-0) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 42219
  * 添加加密功能 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- pengcheng <pengcheng@kylinos.cn>  Fri, 09 Jul 2021 09:34:08 +0800

kylin-daq (1.2.1-1) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 默认不输出qdebug信息
  

 -- pengcheng <pengcheng@kylinos.cn>  Thu, 24 Jun 2021 09:04:21 +0800

kylin-daq (1.2.1-0) v101; urgency=medium

  * 
  [ BUG 号 ] 
  * Closes: #
    -  
  
  [ 任务号 ] 
  * 40694
  * 系统硬件信息变动概率较低，开关机时间每天都会可能有多次收集，两个分离开，减少不必要的数据传输和存储；
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 重构信息收集代码
  * 修改相应协议 
  

 -- pengcheng <pengcheng@kylinos.cn>  Thu, 24 Jun 2021 08:47:44 +0800

kylin-daq (1.2.0-3) v101; urgency=medium

  [ BUG 号 ] 
  
  [ 任务号 ] 
  
  [ 需求号 ] 
  * 40387
  * 客户端适配v10系统，解决可能出现的编译、运行问题；
  

 -- pengcheng <pengcheng@kylinos.cn>  Thu, 17 Jun 2021 21:17:20 +0800

kylin-daq (1.2.0-2) v101; urgency=medium

  [ 修改control ] 
  * 修改其中依赖 


 -- pengcheng <pengcheng@kylinos.cn>  Tue, 15 Jun 2021 21:08:07 +0800

kylin-daq (1.2.0-1) v101; urgency=medium

  [ 任务号 ] 
  *	34002
  *	客户端增加日志模块、异常处理模块、优化打包和数据收集流程和逻辑 
  

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 15 Jun 2021 08:38:26 +0800

kylin-daq (0.0.3-3) v101; urgency=medium

  * 添加动态加载日志库功能 

 -- pengcheng <pengcheng@kylinos.cn>  Mon, 07 Jun 2021 13:44:10 +0800

kylin-daq (0.0.3-2) v101; urgency=medium

  * 移除定时关闭的功能

 -- pengcheng <pengcheng@kylinos.cn>  Wed, 02 Jun 2021 21:06:54 +0800

kylin-daq (0.0.3-1) v101; urgency=medium

  * 添加接口配置文件

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 01 Jun 2021 17:15:33 +0800

kylin-daq (0.0.3) v101; urgency=medium

  * 增加配置文件 
  * 设置安装配置

 -- pengcheng <pengcheng@kylinos.cn>  Tue, 01 Jun 2021 17:06:51 +0800

kylin-daq (0.0.2) v101; urgency=medium

  * 修改程序流程

 -- pengcheng <pengcheng@kylinos.cn>  Mon, 31 May 2021 19:31:52 +0800

kylin-daq (0.0.1) v101; urgency=medium

  * BUG号:无
  * 需求号：24854
  * 其它改动说明：无

 -- lijiang (rain) <lijiang@kylinos.cn>  Wed, 28 Apr 2021 19:42:56 +0800
